package cc.smtweb.framework.core.mvc.scheduler.job;

import cc.smtweb.framework.core.cache.redis.RedisManager;
import cc.smtweb.framework.core.mvc.controller.access.MethodAccess;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJob;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJobExecutor;
import cc.smtweb.framework.core.mvc.scheduler.AbstractJobQueue;

public class GroupJob extends AbstractJob {
    @Override
    public AbstractJobQueue createJobQueue(AbstractJobExecutor jobManager) {
        return new GroupJobQueue(jobManager);
    }

    public GroupJob(String group, MethodAccess methodAccess) {
        super(methodAccess);
        initKey(RedisManager.PREFIX_TIMER + '.' + group);
    }
}
